apiVersion: v1
kind: Service
metadata:
  labels:
    app: flowlogs-pipeline
  name: flowlogs-pipeline
  namespace: network-observability
spec:
  ports:
  - port: 9090
    protocol: TCP
    targetPort: 9090
    name: metrics
  selector:
    app: flowlogs-pipeline
  type: ClusterIP
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: flowlogs-pipeline
  namespace: network-observability
spec:
  endpoints:
  - interval: 30s
    port: metrics
    scheme: http
  namespaceSelector:
    matchNames:
    - network-observability
  selector:
    matchLabels:
      app: flowlogs-pipeline

